using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.Practices
{
    /// <summary>
    /// 练习
    /// </summary>
    [Description("练习")]
    public class ExamPractice:ExamBusinessEntity
    {
        /// <summary>
        /// 练习流水号
        /// </summary>
        [SugarColumn(ColumnDescription = "练习流水号")]
        [Description("练习流水号")]
        public string Code { get; set; }

        /// <summary>
        /// 出题数量
        /// </summary>
        [SugarColumn(ColumnDescription ="出题数量")]
        [Description("出题数量")]
        public int Count { get; set; }

        /// <summary>
        /// 练习类型
        /// </summary>
        [SugarColumn(ColumnDescription = "练习类型")]
        [Description("练习类型")]
        public EPracticeType PracticeType { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamPracticeRecord.PracticeId))]
        public List<ExamPracticeRecord> PracticeRecords { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamPracticeQuestion.PracticeId))]
        public List<ExamPracticeQuestion> PracticeQuestions { get; set; }

      
    }
}
